libdc1394: dc1394/conversions.h File Reference

libdc1394 2.2.7

Enumerations | Functions
conversions.h File Reference

functions to convert video formats More...

`#include <dc1394/log.h>`

## Enumerations
enum | dc1394bayer_method_t
enum | dc1394stereo_method_t

## Functions
dc1394error_t | dc1394_convert_to_YUV422 (uint8_t *src, uint8_t *dest, uint32_t width, uint32_t height, uint32_t byte_order, dc1394color_coding_t source_coding, uint32_t bits)
dc1394error_t | dc1394_convert_to_MONO8 (uint8_t *src, uint8_t *dest, uint32_t width, uint32_t height, uint32_t byte_order, dc1394color_coding_t source_coding, uint32_t bits)
dc1394error_t | dc1394_convert_to_RGB8 (uint8_t *src, uint8_t *dest, uint32_t width, uint32_t height, uint32_t byte_order, dc1394color_coding_t source_coding, uint32_t bits)
dc1394error_t | dc1394_deinterlace_stereo (uint8_t *src, uint8_t *dest, uint32_t width, uint32_t height)
dc1394error_t | dc1394_bayer_decoding_8bit (const uint8_t *bayer, uint8_t *rgb, uint32_t width, uint32_t height, dc1394color_filter_t tile, dc1394bayer_method_t method)
dc1394error_t | dc1394_bayer_decoding_16bit (const uint16_t *bayer, uint16_t *rgb, uint32_t width, uint32_t height, dc1394color_filter_t tile, dc1394bayer_method_t method, uint32_t bits)
dc1394error_t | dc1394_convert_frames (dc1394video_frame_t *in, dc1394video_frame_t *out)
dc1394error_t | dc1394_debayer_frames (dc1394video_frame_t *in, dc1394video_frame_t *out, dc1394bayer_method_t method)
dc1394error_t | dc1394_deinterlace_stereo_frames (dc1394video_frame_t *in, dc1394video_frame_t *out, dc1394stereo_method_t method)

## Detailed Description

functions to convert video formats

Author
  Damien Douxchamps: coding
  Frederic Devernay: coding
  Peter Antoniac: documentation maintainer

More details soon

## Enumeration Type Documentation

## ◆ dc1394bayer_method_t

enum dc1394bayer_method_t

A list of de-mosaicing techniques for Bayer-patterns.

The speed of the techniques can vary greatly, as well as their quality.

## ◆ dc1394stereo_method_t

enum dc1394stereo_method_t

A list of known stereo-in-normal-video modes used by manufacturers like Point Grey Research and Videre Design.

## Function Documentation

## ◆ dc1394_bayer_decoding_16bit()

dc1394error_t dc1394_bayer_decoding_16bit | ( | const uint16_t * | bayer,
|  | uint16_t * | rgb,
|  | uint32_t | width,
|  | uint32_t | height,
|  | dc1394color_filter_t | tile,
|  | dc1394bayer_method_t | method,
|  | uint32_t | bits )

Perform de-mosaicing on an 16-bit image buffer

## ◆ dc1394_bayer_decoding_8bit()

dc1394error_t dc1394_bayer_decoding_8bit | ( | const uint8_t * | bayer,
|  | uint8_t * | rgb,
|  | uint32_t | width,
|  | uint32_t | height,
|  | dc1394color_filter_t | tile,
|  | dc1394bayer_method_t | method )

Perform de-mosaicing on an 8-bit image buffer

## ◆ dc1394_convert_frames()

dc1394error_t dc1394_convert_frames | ( | dc1394video_frame_t * | in,
|  | dc1394video_frame_t * | out )

Converts the format of a video frame.

To set the format of the output, simply set the values of the corresponding fields in the output frame

## ◆ dc1394_convert_to_MONO8()

dc1394error_t dc1394_convert_to_MONO8 | ( | uint8_t * | src,
|  | uint8_t * | dest,
|  | uint32_t | width,
|  | uint32_t | height,
|  | uint32_t | byte_order,
|  | dc1394color_coding_t | source_coding,
|  | uint32_t | bits )

Converts an image buffer to MONO8

## ◆ dc1394_convert_to_RGB8()

dc1394error_t dc1394_convert_to_RGB8 | ( | uint8_t * | src,
|  | uint8_t * | dest,
|  | uint32_t | width,
|  | uint32_t | height,
|  | uint32_t | byte_order,
|  | dc1394color_coding_t | source_coding,
|  | uint32_t | bits )

Converts an image buffer to RGB8

## ◆ dc1394_convert_to_YUV422()

dc1394error_t dc1394_convert_to_YUV422 | ( | uint8_t * | src,
|  | uint8_t * | dest,
|  | uint32_t | width,
|  | uint32_t | height,
|  | uint32_t | byte_order,
|  | dc1394color_coding_t | source_coding,
|  | uint32_t | bits )

Converts an image buffer to YUV422

## ◆ dc1394_debayer_frames()

dc1394error_t dc1394_debayer_frames | ( | dc1394video_frame_t * | in,
|  | dc1394video_frame_t * | out,
|  | dc1394bayer_method_t | method )

De-mosaicing of a Bayer-encoded video frame

To set the format of the output, simply set the values of the corresponding fields in the output frame

Parameters

  in | is a pointer to the bayer video frame that is to be converted
  out | is a pointer to the frame to be converted to. If there is memory allocated to the image field, then it will be adjusted accordingly by this function. If there is no memory allocated to the image field, then ensure that out->image == NULL and out->allocated_image_bytes == 0
  method | is the bayer method to interpolate the frame.

## ◆ dc1394_deinterlace_stereo()

dc1394error_t dc1394_deinterlace_stereo | ( | uint8_t * | src,
|  | uint8_t * | dest,
|  | uint32_t | width,
|  | uint32_t | height )

changes a 16bit stereo image (8bit/channel) into two 8bit images on top of each other

## ◆ dc1394_deinterlace_stereo_frames()

dc1394error_t dc1394_deinterlace_stereo_frames | ( | dc1394video_frame_t * | in,
|  | dc1394video_frame_t * | out,
|  | dc1394stereo_method_t | method )

De-interlacing of stereo data for cideo frames

To set the format of the output, simply set the values of the corresponding fields in the output frame